Bug 1926488

Summary: "/usr/bin/alembic" points to "alembic-" instead of "alembic-3"
Product: [Fedora] Fedora Reporter: Doncho Gunchev <dgunchev>
Component: python-alembicAssignee: Fedora Infrastructure SIG <infra-sig>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: infra-sig, kevin, mhroncok, rbean
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: python-alembic-1.4.2-6.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-28 17:25:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Doncho Gunchev 2021-02-08 21:16:07 UTC
Description of problem:
"/usr/bin/alembic" points to "alembic-" instead of "alembic-3"


Version-Release number of selected component (if applicable):
python3-alembic-1.4.2-2.fc33.noarch

reproduce with "ls -al /usr/bin/alembic". Should be trivial, "/usr/bin/alembic-3.9 -> alembic-3" is OK.

Comment 1 Miro Hrončok 2021-02-12 11:15:03 UTC
This was fixed: https://src.fedoraproject.org/rpms/python-alembic/c/109f346e2f17a3de2a48e18fbb644f17619f0949?branch=f33

But the build was never shipped in an update.

Comment 2 Kevin Fenzi 2021-02-13 00:13:01 UTC
And that build is unfortunately deleted now. ;( 

I can definitely do a f33 build... but should I perhaps just push the latest at the same time?

There's a few changes in 1.5.0 that are 'changes': 
https://alembic.sqlalchemy.org/en/latest/changelog.html#change-1.5.0-changed
but they all seem pretty minor to me and there's a number of bugfixes.

So, what do you think? 1.5.3 ? or just be conservative and do a 1.4.3 build?

Comment 3 Miro Hrončok 2021-02-13 09:02:12 UTC
Given the branches already diverged, I'd just build the f33 fix and don't worry about the upgrade for a stable Fedora release unless something needs it.

Comment 4 Fedora Update System 2021-02-18 05:03:19 UTC
FEDORA-2021-072a05a18a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-072a05a18a

Comment 5 Doncho Gunchev 2021-02-18 15:57:43 UTC
Tested the new RPM, it is fixed.

Comment 6 Fedora Update System 2021-02-19 02:03:35 UTC
FEDORA-2021-072a05a18a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-072a05a18a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-072a05a18a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-02-28 17:25:37 UTC
FEDORA-2021-072a05a18a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.